unit Selec;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, DBCtrls, StdCtrls, Mask, Db, DBTables, Buttons, Plab, PLtypes;

type
  TFormLabs = class(TForm)
    DataSource1: TDataSource;
    Table1: TTable;
    Bevel1: TBevel;
    Label1: TLabel;
    DBEdit1: TDBEdit;
    DBNavigator1: TDBNavigator;
    Label2: TLabel;
    DBEdit2: TDBEdit;
    Label3: TLabel;
    DBEdit3: TDBEdit;
    Label4: TLabel;
    DBEdit4: TDBEdit;
    Label5: TLabel;
    DBEdit5: TDBEdit;
    Label6: TLabel;
    DBEdit6: TDBEdit;
    Label7: TLabel;
    DBEdit7: TDBEdit;
    Label8: TLabel;
    DBEdit8: TDBEdit;
    Bevel2: TBevel;
    Table1LABELNAME: TStringField;
    Table1PAPERNAME: TStringField;
    Table1PAPERWIDTH: TFloatField;
    Table1PAPERHEIGHT: TFloatField;
    Table1WIDTH: TFloatField;
    Table1HEIGHT: TFloatField;
    Table1MARLEFT: TFloatField;
    Table1MARTOP: TFloatField;
    Table1DIHOR: TFloatField;
    Table1DIVER: TFloatField;
    Table1NUHOR: TSmallintField;
    Table1NUVER: TSmallintField;
    Table1NUMBER: TIntegerField;
    Table1MILIMETER: TBooleanField;
    Table1RECTANGULAR: TBooleanField;
    DBEdit9: TDBEdit;
    Label9: TLabel;
    DBEdit10: TDBEdit;
    Label10: TLabel;
    DBEdit11: TDBEdit;
    Label11: TLabel;
    Label12: TLabel;
    DBEdit12: TDBEdit;
    Label13: TLabel;
    DBText1: TDBText;
    SpeedButton1: TSpeedButton;
    DBCheckBox1: TDBCheckBox;
    DBCheckBox2: TDBCheckBox;
    procedure Table1CalcFields(DataSet: TDataSet);
    procedure SpeedButton1Click(Sender: TObject);
  private
    { Private declarations }
  public
    FPlLab: TPlLab;
  end;

var
  FormLabs: TFormLabs;

implementation

{$R *.DFM}

procedure TFormLabs.Table1CalcFields(DataSet: TDataSet);
begin
 Table1NUMBER.AsInteger:= Table1NUHOR.AsInteger*Table1NUVER.AsInteger;
end;

procedure TFormLabs.SpeedButton1Click(Sender: TObject);
begin
 if Table1MILIMETER.AsBoolean then FPlLab.Units:= unMM else FPlLab.Units:= unINCH;
 FPlLab.Measure.LabelName:= Table1LABELNAME.AsString;
 FPlLab.Measure.PaperName:= Table1PAPERNAME.AsString;
 FPlLab.Measure.PaperWidth:= Table1PAPERWIDTH.AsFloat;
 FPlLab.Measure.PaperHeight:= Table1PAPERHEIGHT.AsFloat;
 FPlLab.Measure.Width:= Table1WIDTH.AsFloat;
 FPlLab.Measure.Height:= Table1HEIGHT.AsFloat;
 FPlLab.Measure.MarLeft:= Table1MARLEFT.AsFloat;
 FPlLab.Measure.MarTop:= Table1MARTOP.AsFloat;
 FPlLab.Measure.DiHor:= Table1DIHOR.AsFloat;
 FPlLab.Measure.DiVer:= Table1DIVER.AsFloat;
 FPlLab.Measure.NuHor:= Table1NUHOR.AsInteger;
 FPlLab.Measure.NuVer:= Table1NUVER.AsInteger;
 if Table1RECTANGULAR.AsBoolean then FPlLab.Measure.LabelType:= ltRect else FPlLab.Measure.LabelType:= ltCircle;
end;

end.
